:root {
    --body-color: #ffffff;
    --border-color: #e7e7e7;
    --text-color: #3b3b3b;
    --primary-color: #D10024;
    --forground-color: #f9f8f2;
    --back-color: #1e1f29;
    --dark-black: #333;
    --placeholder-color: #8d8d8d;
}

.container-fluid {
    max-width: 1600px;
    margin-right: auto;
    margin-left: auto;
    padding-left: 15px;
    padding-right: 15px;
}

.container {
    max-width: 1320px;
    margin-right: auto;
    margin-left: auto;
    padding-left: 15px;
    padding-right: 15px;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: var(--heading-font);
    color: var(--dark-black);
    letter-spacing: 0.02em;
    font-weight: inherit;
}

@font-face {
    font-family: 'panagramFonts';
    src: url('../fonts/pangram-regular-webfont.woff') format('woff');
}

@font-face {
    font-family: 'panagramFonts-medium';
    src: url('../fonts/pangram-medium-webfont.woff') format('woff');
}

/* Fonts */
:root {
    --heading-font: "panagramFonts-medium", sans-serif;
}

body {
    font-family: "panagramFonts", sans-serif !important;
    --bs-body-font-size: 1rem;
    --bs-body-font-weight: 400;
    --bs-body-line-height: 2;
}

/* preeloder */
.preloader-wrapper {
    width: 100%;
    height: 100vh;
    margin: 0 auto;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 111;
    background: #fff;
}

.preloader-wrapper .preloader {
    margin: 20% auto 0;
    transform: translateZ(0);
}

.preloader:before,
.preloader:after {
    content: '';
    position: absolute;
    top: 0;
}

.preloader:before,
.preloader:after,
.preloader {
    border-radius: 50%;
    width: 2em;
    height: 2em;
    animation: animation 1.2s infinite ease-in-out;
}

.preloader {
    animation-delay: -0.16s;
}

.preloader:before {
    left: -3.5em;
    animation-delay: -0.32s;
}

.preloader:after {
    left: 3.5em;
}

@keyframes animation {

    0%,
    80%,
    100% {
        box-shadow: 0 2em 0 -1em var(--accent-color);
    }

    40% {
        box-shadow: 0 2em 0 0 var(--accent-color);
    }
}

/* ---------top_header_flex---------- */
.modal-content {
    border-radius: 0px !important;
    border: none !important;
}



.top_header {
    background-color: var(--back-color);
}

.border_bottom {
    border-bottom: 1px solid var(--primary-color);
}

.top_header_flex {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    height: auto;
    padding-top: 7px;
    padding-bottom: 7px;
}

.top_header_flex .locate_store p {
    margin-bottom: 0px;
    font-size: 16px;
    color: var(--body-color);
    font-weight: 500;
}

.top_header_flex .locate_store p i {
    color: var(--primary-color);
}

.top_header_flex .locate_store p span {
    color: var(--primary-color);
}

.ecom_contains ul {
    margin-bottom: 0px;
    padding-left: 0px;
    list-style-type: none;
    display: flex;
    align-items: center;
    gap: 12px;
}

.ecom_contains ul li {
    display: inline-block;
    padding-right: 10px;
    border-right: 1px solid var(--body-color);
    line-height: 23px;
}

.ecom_contains ul li:last-child {
    padding-right: 0px;
    border-right: none;
}

.ecom_contains ul li i {
    color: var(--primary-color);
}

.ecom_contains ul li a {
    font-size: 16px;
    color: var(--body-color);
    font-weight: 500;
    text-decoration: none;
    transition: all 0.5s;
}

.ecom_contains ul li a small:hover {
    color: var(--primary-color);
}


/* ----------search-bar+ nav bar -------------*/
.middle_logo_nav {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-top: 18px;
    padding-bottom: 23px;
}

.main-logo {
    width: 30%;
}

.main-logo a img {
    width: 160px;
    height: auto;
}

.search_bar_width {
    width: 32%;
}

.search_bar {
    border: 1px solid var(--border-color);
    padding: 5px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.search_bar select {
    font-size: 15px;
    outline: 0px !important;
}

.search_bar .sele_search {
    width: 35%;
}

.search_bar .search_input {
    width: 55%;
}

.search_bar .search_icon {
    width: 5%;
}


.form-control,
.form-select {
    box-shadow: none !important;
}

.search_icon {
    display: flex;
    height: 100%;
    width: 100%;
    align-items: center;
    justify-content: center;
    font-size: 20px;
}

.ecom_menu_width {
    width: 30%;
}

.ecom_menu {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: end;
    margin-bottom: 0px;
    list-style: none;
}

.ecom_menu li {
    margin: 0 10px;
}

.ecom_menu li a {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-decoration: none;
}

.ecom_menu li a i {
    font-size: 17px;
    color: var(--text-color);
}

.ecom_menu li a small {
    font-size: 14px;
    line-height: 23px;
    color: var(--text-color);
    font-weight: 500;
    letter-spacing: normal;

    &:hover {
        color: var(--primary-color);
    }
}

/* profile-absolue-style */
.profile_card {
    width: 240px;
    height: auto;
    background-color: var(--body-color);
    border-radius: 4px;
    border: 1px solid var(--border-color);
    position: absolute;
    top: 110%;
    left: 50%;
    transform: translate(-50%);
    padding: 10px 0px;
}

.profile_card ul {
    margin-bottom: 0px;
    padding-left: 0px;
    list-style: none;
}

.profile_card ul li {
    font-size: 15px;
    color: var(--dark-black);
    font-weight: 500;
    display: block;
    line-height: 16px;
    padding: 12px 20px;
    margin-left: 0px;
    margin-right: 0px;
    border-bottom: 1px solid var(--border-color);
    cursor: pointer;
    transition: all 0.3s;

    &:hover {
        color: var(--primary-color);
    }
}

.profile_card ul li:last-child {
    border-bottom: none;
}

/* --------category-items---------- */
.category_items {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.sticky_top_nav {
    top: 0;
    position: sticky;
    width: 100%;
    left: 0;
    background-color: var(--body-color);
    z-index: 99;
}

.category_items .left_scroll,
.category_items .right_scroll {
    width: 4%;
    text-align: center;
}

.all_category {
    width: 92%;
    overflow-x: scroll;
}

.all_category::-webkit-scrollbar {
    width: 5px;
    height: 4px;
}

.all_category::-webkit-scrollbar-thumb {
    background-color: #ffffff;
}

.all_category ul {
    list-style: none;
    margin-bottom: 0px;
    padding-left: 0px;
    display: flex;
    flex-wrap: nowrap;
}

.all_category ul li {
    display: inline-block;
    padding-left: 16px;
    padding-right: 16px;
}

.all_category ul li a {
    font-size: 15px;
    color: var(--dark-black);
    font-family: var(--heading-font);
    text-decoration: none;
    text-wrap: nowrap;
    white-space: nowrap;
    text-transform: capitalize;
    transition: all 0.3s;

    &:hover {
        color: var(--primary-color);
    }
}

/*----------- banner--------- */
.banner_section_ecom {
    padding-top: 20px;
    padding-bottom: 20px;
}

.banner_flex {
    width: 100%;
    height: 595px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.carousel_banner {
    width: 61%;
    height: 100%;
}

.carousel,
.carousel_container,
.carousel-item {
    height: 100% !important;
}

.carousel_container img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.fixed_banner {
    width: 38%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.fixed_img {
    width: 100%;
    height: 49%;
}

.fixed_img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.carousel .left_carousel_btn {
    width: 40px;
    height: 40px;
    background-color: var(--body-color);
    position: absolute;
    top: 50%;
    left: 0px;
    transform: translateY(-50%);
    font-size: 24px;
    color: var(--text-color);
    opacity: 1;
}

.carousel .right_carousel_btn {
    width: 40px;
    height: 40px;
    background-color: var(--body-color);
    position: absolute;
    top: 50%;
    right: 0px;
    transform: translateY(-50%);
    font-size: 24px;
    color: var(--text-color);
    opacity: 1;
}


/* product tabs */
.product-tabs .nav-tabs {
    justify-content: flex-end;
    border: none;
}


/* offcanvas-style */
.offcanvas_width {
    width: 30% !important;
    margin: 10px;
}

.offcanvas_header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 12px 20px;
    border-bottom: 1px solid var(--border-color);
}

.wishlist_heading h5 {
    font-size: 21px;
    line-height: 22px;
    color: var(--dark-black);
    margin-bottom: 5px;
    letter-spacing: 0.02em;
}

.wishlist_heading p {
    font-size: 14px;
    line-height: 15px;
    margin-bottom: 0px;
    font-weight: 500;
}

.close_canvas {
    width: 30px;
    height: 30px;
    background-color: transparent;
    border: none;
    outline: none;
    color: var(--text-color);
}

.wishlist_bdy {
    padding: 0px !important;
}

.wishlist_item {
    padding: 15px 0px;
    margin-left: 15px;
    margin-right: 15px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1px solid var(--border-color);
}

.wishlist_product_details {
    width: 80%;
    display: flex;
}

.wish_product_img img {
    width: 110px;
    height: 110px;
    object-fit: cover;
}

.wishlist_btn {
    width: 20%;
    justify-content: center;
    gap: 10px;
}

.wishlist_btn .wish_cart_btn {
    width: 100px;
    height: 35px;
    border: 1px solid var(--primary-color);
    border-radius: 4px;
    font-size: 14px;
    color: var(--primary-color);
    font-weight: 500;
    outline: none;
    /* border: none; */
    background-color: transparent;
}

.wishlist_btn .wish_remove_btn {
    width: 100px;
    height: 35px;
    border: none;
    outline: none;
    color: var(--dark-black);
    font-size: 15px;
    background-color: transparent;
}

.wish_prod_detls {
    width: 100%;
    padding-left: 15px;
    padding-right: 15px;
}

.wish_prod_detls h3 {
    font-size: 15px;
    line-height: 19px;
    color: var(--dark-black);
    text-transform: capitalize;
    margin-bottom: 4px;
    font-weight: 500;
}

.wish_prod_detls h6 {
    font-size: 13px;
    color: var(--text-color);
    line-height: 16px;
    font-weight: 400;
    margin-bottom: 7px;
}

.wish_prod_detls .rating {
    display: inline-block;
    padding: 4px 8px;
    background-color: var(--primary-color);
    border-radius: 20px;
    color: #fff;
    font-size: 13px;
    line-height: 14px;
}

.wish_prod_detls .rating i {
    font-size: 12px;
    color: #fff;
}

.wish_prod_detls p {
    font-size: 15px;
    line-height: 16px;
    margin-bottom: 0px;
    font-weight: 700;
    color: var(--dark-black);
    padding-top: 9px;
}

/* addto cart off canvas */
.acco_items {
    border: none !important;
    border-radius: 0px !important;
}

.accodion_heading {
    border-radius: 0px !important;
    background-color: transparent !important;
    box-shadow: none !important;
    color: var(--dark-black);
    font-size: 15px;
    padding-left: 5px !important;
    padding-right: 5px !important;
    border-bottom: 1px solid var(--border-color);
}

.accodion_heading:not(.collapsed) {
    color: var(--dark-black) !important;
}

.accodion_heading:focus {
    border-bottom: 1px solid var(--border-color);
}

.accodion_heading button {
    border: none;
    outline: none;
    margin-left: 15px;
    color: var(--primary-color);
    font-weight: 500;
    background-color: transparent;
    font-size: 14px;
}

.acc_Bdy {
    padding: 8px 0px;
}

.cart_acc_bdy {
    height: 42vh;
    overflow-y: scroll;
}

.cart_acc_bdy::-webkit-scrollbar {
    display: none;
}

.total_cart_price {
    position: absolute;
    bottom: 0px;
    left: 0px;
    width: 100%;
    height: auto;
    padding: 15px;
    border-top: 1px solid var(--border-color);
    background-color: var(--forground-color);
}

.flex_amt {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.flex_amt span {
    font-size: 15px;
    color: var(--text-color);
    font-weight: 500;
}

.flex_amt h6 {
    font-size: 15px;
    color: var(--dark-black);
    font-weight: 600;
    margin-bottom: 0px;
}

.cart_item {
    display: flex;
    justify-content: space-between;
    padding-bottom: 8px;
    padding-top: 8px;
    border-bottom: 1px dashed var(--border-color);
}

.cart_prod_img img {
    width: 70px;
    height: 70px;
    object-fit: cover;
    border-radius: 5px;
}

.cart_prod_details {
    width: 100%;
}

.flex_name {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.flex_name h6 {
    width: 95%;
    font-size: 15px;
    margin-bottom: 0px;
    padding-left: 10px;
}

.flex_name span {
    width: 25px;
    height: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 16px;
    color: var(--primary-color);
}

.products_amt_flex {
    padding-left: 10px;
    padding-top: 2px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.count_product {
    display: inline-flex;
    align-items: center;
    border: 1px solid var(--border-color);
    margin-right: 15px;
}

.count_product button {
    width: 32px;
    height: 30px;
    border: none;
    border-right: 1px solid var(--border-color);
    font-weight: 500;
    font-size: 13px;
    background-color: transparent;
    color: var(--text-color);
}

.count_product button:last-child {
    border-left: 1px solid var(--border-color);
    border-right: none;
}

.count_product input {
    width: 70px;
    border: none;
    height: 30px;
    outline: none;
    text-align: center;
    font-size: 14px;
    color: var(--text-color);
}

.discount_input {
    /* width: 120px; */
    width: 70px;
}

.discount_input input {
    width: 100%;
    height: 32px;
    border: 1px solid var(--border-color);
    outline: none;
    font-size: 14px;
    color: var(--text-color);
    font-weight: 500;
    padding-left: 6px;
}

.count_dis_flex {
    display: flex;
    align-items: center;
}

.prod_total_amt h6 {
    font-weight: 600;
    font-size: 14px;
    color: var(--dark-black);
    margin-bottom: 0px;
}
.prod_total_amt h6 i{
    padding-right: 6px;
}

.prod_total_amt h6 input{
    width: 120px;
    height: 32px;
    outline: none;
    font-size: 14px;
    color: var(--text-color);
    font-weight: 500;
    padding-left: 6px;
    border: none;
}

.prod_total_amt h6 input:focus{
    border: 1px solid var(--border-color);
}

.comment {
    height: 30px;
}

.comment input {
    width: 100%;
    height: 100%;
    border: none;
    outline: none;
    font-size: 14px;
    color: var(--text-color);
    font-weight: 400;
    margin-left: 10px;
}

.procced_btn {
    width: 100%;
    height: 40px;
    border: none;
    outline: none;
    background-color: var(--primary-color);
    color: var(--body-color);
    font-size: 16px;
    font-weight: 500;
    text-transform: capitalize;
    border-radius: 4px;
    margin-top: 10px;
}

.add_card {
    height: 35vh;
}

.address_card {
    padding-bottom: 8px;
    border-bottom: 1px dashed var(--border-color);
    display: flex;
    justify-content: space-between;
}

.address_card .add_icon {
    width: 10%;
    height: auto;
}

.address_card .add_icon i {
    font-size: 20px;
    color: var(--primary-color);
    line-height: 20px;
    padding-top: 15px;
}

.address_card .address_info {
    width: 80%;
}

.address_card .address_info span {
    font-size: 15px;
    color: var(--dark-black);
    line-height: 16px;
    text-transform: capitalize;
    letter-spacing: 0.03em;
    font-family: var(--heading-font);
}

.address_card .address_info p {
    font-size: 14px;
    color: var(--text-color);
    margin-bottom: 0px;
    font-weight: 500;
    line-height: 16px;
    width: 80%;
}

.address_info h6 {
    font-weight: 600 !important;
    font-size: 13px;
    line-height: 16px;
    margin-bottom: 0px;
    padding-top: 10px;
}

.form-check input {
    border: 1px solid var(--text-color) !important;
}

.select_add {
    width: 10%;
    padding-top: 10px;
}

.payment_methood {
    display: flex;
    align-items: center;
    margin-bottom: 25px;
}

.payment_methood .flex_radio {
    display: flex;
    align-items: center;
}

.payment_methood .flex_radio input {
    margin-right: 5px;
    border: 1px solid var(--text-color);
}

.payment_methood .flex_radio:last-child {
    margin-left: 30px;
}

.payment_methood label {
    font-size: 15px;
    color: var(--dark-black);
    font-weight: 500;
    line-height: 16px;
}


/* custom-order-canvas-syle */
.input_grp {
    width: 100%;
    margin-bottom: 8px;
}

.input_grp label {
    font-size: 15px;
    color: var(--dark-black);
    font-family: var(--heading-font);
}

.input_grp input {
    width: 100%;
    border: 1px solid var(--border-color);
    border-radius: 4px;
    outline: none;
    padding-left: 10px;
    font-size: 16px;
    color: var(--dark-black);
    font-weight: 500;
    height: 38px;
}

.input_grp textarea {
    width: 100%;
    border: 1px solid var(--border-color);
    border-radius: 4px;
    outline: none;
    padding-left: 10px;
    font-size: 16px;
    color: var(--dark-black) !important;
    font-weight: 500;
    resize: none;
}

.input_flex {
    display: flex;
    justify-content: space-between;
}

.input_flex .input_half {
    width: 48%;
}

.input_grp select {
    width: 100%;
    border: 1px solid var(--border-color);
    border-radius: 4px;
    outline: none;
    padding-left: 10px;
    font-size: 16px;
    color: var(--dark-black);
    font-weight: 500;
    height: 38px;
}

.input_grp input::placeholder,
.input_grp textarea::placeholder {
    font-size: 15px !important;
    color: var(--placeholder-color) !important;
    font-weight: 500 !important;
}

.input_grp button {
    width: max-content;
    height: 33px;
    border: 1px solid var(--dark-black);
    outline: none;
    color: var(--dark-black);
    font-size: 14px;
    font-weight: 500;
    border-radius: 5px;
}

.label_flex {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-top: 5px;
}

.preview_images {
    width: 100%;
    display: flex;
    align-items: center;
    gap: 1%;
    padding-top: 8px;
}

.images_view {
    width: 19%;
    position: relative;
}

.images_view img,
.images_view video {
    width: 100%;
    height: 80px;
    border-radius: 5px;
    object-fit: cover;
}

.images_view span {
    width: 18px;
    height: 18px;
    border-radius: 50%;
    background-color: var(--primary-color);
    color: var(--body-color);
    font-size: 12px;
    position: absolute;
    top: 5px;
    right: 5px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.scroll_canvas_body {
    width: 100%;
    height: 100%;
    overflow-y: scroll;
}

.scroll_canvas_body::-webkit-scrollbar {
    display: none;
}

/* my profile canvas style */
.prof_heading {
    display: flex;
    align-items: center;
}

.prof_heading h6 {
    font-size: 15px;
    color: var(--dark-black);
    margin-bottom: 0px;
}

.prof_heading button {
    border: none;
    outline: none;
    margin-left: 30px;
    color: var(--primary-color);
    background-color: transparent;
}

.profile_Form {
    margin-top: 12px;
}

.profile_Form .input_grp input {
    height: 45px;
}

.profile_Form .input_grp input:disabled {
    border: 1px solid #d1d1d1 !important;
    background: #f5f5f5 !important;
}

.profile_Form .update_profile_btn {
    width: max-content;
    height: 45px;
    background-color: var(--primary-color);
    color: var(--body-color);
    border: none;
    outline: none;
    font-size: 15px;
    padding-left: 15px;
    padding-right: 15px;
    border-radius: 5px;
    margin-top: 15px;
    opacity: 0.5;
    pointer-events: none;
}

.password_change {
    margin-top: 35px;
}


/* address canvas style */
.add_action {
    width: 20%;
    display: flex;
    justify-content: end;
}

.add_action span {
    width: 35px;
    height: 35px;
    font-size: 18px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    color: var(--text-color);

    &:hover {
        color: var(--primary-color);
    }
}

.add_action span:first-child {
    border-right: 1px solid var(--border-color);
}

.margin_top_address {
    margin-top: 15px;
}

.add_address_btn {
    width: max-content;
    padding-left: 15px;
    padding-right: 15px;
    height: 40px;
    border-radius: 5px;
    background-color: var(--primary-color);
    color: var(--body-color);
    font-weight: var(--heading-font);
    border: none;
    outline: none;
    font-size: 15px;
}

.add_new_address {
    padding-top: 10px;
    padding-bottom: 15px;
    border-bottom: 1px solid var(--border-color);
}

.add_new_address .input_grp input {
    height: 43px;
}

.flex_address {
    display: flex;
    align-items: center;
    gap: 20px;
    padding-left: 5px;
}

.flex_address .form-check input,
.default_add input {
    width: 17px !important;
    height: 17px !important;
    margin-top: 0px;
}

.flex_address .form-check {
    display: flex;
    align-items: center;
    gap: 5px;
}

.flex_address .form-check label .default_add label {
    line-height: 16px;
}

.flex_address_row {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.default_add {
    display: flex;
    align-items: center;
    justify-content: end;
    gap: 5px;
}

.cancel_btn {
    width: max-content;
    padding-left: 15px;
    padding-right: 15px;
    height: 40px;
    border-radius: 5px;
    background-color: transparent;
    color: var(--dark-black);
    font-weight: var(--heading-font);
    border: 1px solid var(--text-color);
    outline: none;
    font-size: 15px;
    margin-left: 10px;
}


/* order-canvas style */
.order_card {
    border: 1px solid #ffcad3;
    padding: 10px;
    border-radius: 4px;
    margin-bottom: 15px;
}

.order_head {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-bottom: 8px;
    border-bottom: 1px solid var(--border-color);
}

.order_head .order_id_detls {
    width: 100%;
}

.order_id_detls h6 {
    font-size: 15px;
    color: var(--dark-black);
    margin-bottom: 0px;
}

.order_id_detls ul {
    padding-left: 0px;
    margin-bottom: 0px;
    list-style: none;
    line-height: 16px;
    padding-top: 2px;
}

.order_id_detls ul li {
    display: inline-block;
    font-size: 14px;
    color: var(--placeholder-color);
    padding-right: 4px;
    line-height: 16px;
    border-right: 2px solid var(--border-color);
    padding-left: 4px;
}

.order_id_detls ul li:first-child {
    padding-left: 0px;
}

.order_id_detls ul li:last-child {
    border-right: none;
}

.order_action button {
    font-size: 17px;
    color: var(--dark-black);
    background-color: transparent;
    border: none;
    outline: none;
    width: 30px;
    height: 30px;
}

.order_status {
    padding-top: 5px;
    padding-bottom: 8px;
    border-bottom: 1px solid var(--border-color);
}

.order_status ul {
    padding-left: 0px;
    margin-bottom: 0px;
}

.order_status ul li,
.row_dtls ul li {
    display: flex;
    align-items: center;
    padding-top: 3px;
    padding-bottom: 3px;
}

.order_status ul li span {
    width: 30%;
    font-size: 15px;
    color: var(--text-color);
    line-height: 16px;
    text-transform: capitalize;
}

.order_status ul li p {
    margin-bottom: 0px;
    font-size: 15px;
    color: var(--dark-black);
    line-height: 16px;
    font-family: var(--heading-font);
}

.products_row_dtls {
    padding-top: 9px;
    padding-bottom: 0px;
    display: flex;
}

.products_row_dtls img {
    width: 90px;
    height: 90px;
    border-radius: 5px;
    object-fit: cover;
}

.row_dtls {
    width: calc(100% - 90px);
    padding-left: 10px;
}

.row_dtls h5 {
    font-size: 15px;
    color: var(--dark-black);
    margin-bottom: 7px;
}

.row_dtls ul {
    padding-left: 0px;
    margin-bottom: 0px;
    list-style: none;
}

.row_dtls ul li span {
    color: var(--text-color);
    font-size: 15px;
    line-height: 16px;
}

.row_dtls ul li p {
    margin-bottom: 0px;
    font-size: 15px;
    line-height: 16px;
    color: var(--dark-black);
    padding-left: 8px;
}

/* contact us canvas style */
.contact_us_form .input_grp input,
.contact_us_form .input_grp select {
    height: 42px;
}

.contact_us_form .input_grp textarea {
    height: 80px;
}

.contact_us_form .input_grp .form-control {
    line-height: inherit !important;
}

.contact_us_form .procced_btn {
    margin-top: 20px;
    height: 42px;
}

/* Franchisee canvas */
.input_grp label span {
    color: var(--primary-color);
}

.radio_flex {
    display: flex;
    align-items: center;
    gap: 25px;
}

.radio_flex input[type="radio"] {
    width: 18px !important;
    height: 18px !important;
    margin-right: 5px;
    margin-top: 8px;
}

/* order confirm box css */
.order_confirm_box {
    padding-top: 40px !important;
    padding-bottom: 40px !important;
}

.order_confirm_box i {
    font-size: 80px;
    color: var(--primary-color);
}

.order_confirm_box h3 {
    font-size: 24px;
    color: var(--dark-black);
    padding-top: 28px;
    letter-spacing: normal !important;
}

.order_confirm_box h6 {
    font-size: 15px;
    color: var(--dark-black);
    padding-bottom: 12px;
}

.order_confirm_box a {
    height: 40px;
    border-radius: 5px;
    border: none;
    outline: none;
    background-color: var(--primary-color);
    color: var(--body-color);
    text-decoration: none;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: max-content;
    height: 40px;
    padding-left: 15px;
    padding-right: 15px;
}

/* search bar div css start  */
.sreach_bar {
    z-index: 11;
    height: auto;
    background: var(--body-color);
    top: 4rem;
    left: 0;
    border-radius: 5px;
    padding: 10px 0px 10px 10px;
    width: 100%;
}

.search_result_box {
    max-height: 28rem;
    overflow-x: hidden;
    overflow-y: scroll;
}

.search_result_box::-webkit-scrollbar {
    width: 5px;
}

.search_result_box::-webkit-scrollbar-thumb {
    background-color: var(--placeholder-color);
    border-radius: 5px;
}

.search_product_view {
    display: flex;
    justify-content: space-between;
    padding-top: 5px;
    padding-bottom: 5px;
}

.sear_prod {
    width: 80%;
    display: flex;
}

.sear_prod img {
    width: 70px;
    height: 65px;
    object-fit: cover;
    border-radius: 5px;
}

.sear_prod_name_rs {
    width: calc(100% - 70px);
    padding-left: 10px;
}

.sear_prod_name_rs h6 {
    font-size: 15px;
    color: var(--dark-black);
    margin-bottom: 0px;
    text-transform: capitalize;
}

.sear_prod_name_rs p {
    font-size: 14px;
    color: var(--placeholder-color);
    margin-bottom: 0px;
}

.search_cart_love__btn {
    width: 20%;
    display: flex;
    justify-content: end;
}

.search_cart_love__btn button {
    width: 40px;
    height: 25px;
    border: none;
    outline: none;
    background-color: transparent;
    font-size: 15px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.search_cart_love__btn button:first-child {
    border-right: 1px solid var(--placeholder-color);
    color: var(--dark-black);
}

.search_cart_love__btn button:last-child {
    color: var(--primary-color);
}


/* register-modal-style */
.register_maagnum {
    width: 100%;
    height: 575px;
    padding: 0px;
    display: flex;
    justify-content: space-between;
    padding: 0px !important;
}

.register_maagnum .addv_area {
    width: 50%;
}

.register_maagnum .addv_area img {
    width: 100%;
    height: 575px;
    object-fit: cover;
}

.register_area {
    width: 50%;
    padding: 20px 15px;
    position: relative;
}

.register_area h5 {
    font-size: 16px;
    color: var(--dark-black);
    margin-bottom: 0px;
    text-transform: uppercase;
    padding-top: 10px;
}

.register_area h6 {
    font-size: 15px;
    margin-bottom: 0px;
    color: var(--placeholder-color);
    padding-top: 3px;
}

.register_form {
    padding-top: 15px;
}

.register_form .input_grp {
    margin-bottom: 5px;
}

.register_terms_condition {
    justify-content: start !important;
    margin-top: 8px;
}

.mt_btn {
    margin-top: 20px;
}

.register_area .dismiss_modal {
    position: absolute;
    top: 8px;
    right: 8px;
    width: 30px;
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--dark-black);
    font-size: 18px;
    cursor: pointer;
}

.tgle_eye {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    right: 10px;
    font-size: 15px;
    color: var(--dark-black);
    line-height: 18px;
    cursor: pointer;
}

.register_area .customer_entry {
    position: absolute;
    bottom: 20px;
    left: 0%;
    font-size: 14px;
    color: var(--text-color);
    margin-bottom: 0px;
    width: 100%;
    padding-left: 15px;
}

.register_area .customer_entry span {
    color: var(--primary-color);
    padding-left: 8px;
    cursor: pointer;
}

/* guarantee_card */
.guarantee_card {
    width: 80%;
    height: auto;
    margin: 55px auto 0px auto;
    background-color: #e7e7e76b;
    padding: 25px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.guarantee_col {
    display: flex;
    align-items: center;
    width: 23%;
    border-right: 1px solid var(--placeholder-color);
}

.guarantee_col:last-child {
    border-right: none !important;
}

.guarantee_col span {
    font-size: 60px;
    color: var(--primary-color);
    line-height: 62px;
    margin-right: 15px;
}

.guarantee_col .guarntee_cont h6 {
    font-size: 22px;
    line-height: 30px;
    letter-spacing: .1px;
    margin-bottom: 0px;
    text-transform: capitalize;
}

.guarantee_col .guarntee_cont p {
    font-size: 14px;
    line-height: 16px;
    color: var(--text-color);
    margin-bottom: 0px;
}

/* associated_with */
.associated_section {
    margin-top: 30px;
    margin-bottom: 50px;
}

.brand_heading {
    width: 80%;
    margin: 0 auto;
}

.brand_heading h4 {
    text-transform: capitalize;
    font-size: 15px;
    text-align: center;
    /* color: var(--primary-color) !important; */
}

.associated_with {
    width: 80%;
    overflow-x: hidden;
    white-space: nowrap;
    margin: 0 auto;
}

.scroll_logos {
    display: inline-flex;
}

.scroll_logos .associated_logo img {
    width: 100px;
    height: auto;
    aspect-ratio: 1/1;
    object-fit: contain;
}

.associated_logo {
    color: var(--paragraph-color);
    display: flex;
    align-items: center;
    justify-content: center;
    text-transform: uppercase;
    cursor: pointer;
    margin-left: 15px;
    margin-right: 15px;
}


/* footer-section */
.footer_section {
    padding-top: 50px;
    background-color: #e7e7e76b;
}

.footer_menu a {
    margin-bottom: 0px;
    line-height: 21px;
    display: block;
    padding-top: 9px;
    text-decoration: none;
    width: 80%;
}

.footer_menu a i {
    margin-right: 4px;
    color: var(--primary-color);
}

.footer_menu a .bold_txt {
    font-family: var(--heading-font);
    display: inline-block;
}

.footer_menu .contact_info {
    margin-top: 15px;
}

.footer_menu .contact_info ul {
    list-style: none;
    padding-left: 0px;
    margin-bottom: 0px;
}

.footer_menu .contact_info ul li {
    font-size: 15px;
    color: var(--text-color);
}

.footer_menu .contact_info ul li i {
    margin-right: 5px;
}

.footer_menu .working_list {
    margin-top: 15px;
}

.footer_menu h5 {
    font-size: 15px;
    text-transform: uppercase;
    margin-bottom: 15px;
}

.btn_primary {
    background-color: var(--primary-color);
    color: var(--body-color);
}

.footer_menu .menu-list li a,
.footer_menu p {
    font-size: 15px;
    color: var(--text-color);
}

.border_input {
    border-top: 1px solid var(--border-color);
    border-left: 1px solid var(--border-color);
    border-bottom: 1px solid var(--border-color);
}

.social_link {
    display: flex;
    align-items: center;
    gap: 15px;
    padding-top: 15px;
}

.social_link a {
    display: inline-block;
    width: inherit !important;
}

.social_link a i {
    font-size: 22px;
    color: var(--primary-color);
}


.footer_all_menu {
    /* padding-bottom: 30px; */
    border-bottom: 1px solid var(--border-color);
    display: flex;
    justify-content: space-between;
}

.footer_all_menu .footer_width {
    width: 18%;
    padding-bottom: 30px;
}

.footer_all_menu .footer_subscribe {
    width: 24%;
    padding-bottom: 30px;
}

.footer_all_menu .footer_help {
    width: 20%;
    padding-bottom: 30px;
}

.payment_methood_downloadapp {
    padding-top: 15px;
    padding-bottom: 15px;
    border-bottom: 1px solid var(--border-color);
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.accept_met h5,
.download_app h5 {
    font-size: 15px;
    margin-bottom: 0px;
}

.payment_meth {
    display: flex;
    align-items: center;
    gap: 15px;
    padding-top: 8px;
}

.payment_meth img {
    width: 40px;
}

.download_app img {
    padding-top: 8px;
    width: 120px;
    height: auto;
}

.copyright {
    padding-top: 15px;
    padding-bottom: 15px;
    display: flex;
    justify-content: space-between;
}

.copyright .maagnum_address img {
    width: 140px;
    height: auto;
}

.register_office_add a {
    display: block;
    font-size: 15px;
    line-height: 24px;
    color: var(--text-color);
    text-decoration: none;
}

.register_office_add h6 {
    font-size: 15px;
    color: var(--dark-black);
    margin-bottom: 0px;
    padding-top: 5px;
    text-decoration: underline;
}

.register_office_add a i {
    color: var(--primary-color);
}

.register_office_add a span {
    font-family: var(--heading-font);
}

.maagnum_address {
    display: flex;
    gap: 30px;
}

.maintained_by a {
    font-size: 14px;
    color: var(--text-color);
    line-height: 21px;
    display: block;
    text-decoration: none;
}

.maintained_by img {
    width: 90px;
}


/* category-page-style */
.category_flex {
    display: flex;
    justify-content: space-between;
    gap: 1%;
    padding-top: 25px;
}

.sticky_top {
    position: sticky;
    top: 130px;
}

.category_menu {
    width: 22%;
}

.category_products {
    width: 77%;
}

.cat_prod_card {
    width: 25% !important;
}

.category_menu_list_card {
    box-shadow: 0px 0px 21px -13px #888;
}

.accordion-button:not(.collapsed) {
    background-color: transparent !important;
    color: var(--dark-black);
}

.acc_main {
    text-decoration: none;
    font-size: 14px;
    text-transform: uppercase;
    color: #000 !important;
    font-family: var(--heading-font) !important;
}

.ac_border_bottom {
    border-bottom: 1px solid var(--border-color) !important;
}

.accordion-button:focus {
    box-shadow: none !important;
}

.text_active {
    color: var(--primary-color) !important;
}


.border_bottom_pad{
    padding-bottom: 9px;
    border-bottom: 1px solid var(--border-color);
}

.order_card .border_bottom_pad:last-child{
    padding-bottom: 0px;
    border-bottom: none;
}
.cat_sub_menu {
    padding-left: 20px;
}

.cat_sub_menu ul {
    margin-bottom: 0px;
    padding-top: 15px;
    padding-bottom: 15px;
    list-style: none;
}

.cat_sub_menu ul li {
    padding-top: 3px;
    padding-bottom: 3px;
}

.cat_sub_menu ul li a {
    color: var(--text-color);
    font-size: 15px;
}

.acco_header {
    padding: 15px 20px 0px 20px;
}

.border_top {
    border-top: 1px solid var(--border-color);
}

/* clickTop */
.clickTop {
    width: 60px;
    height: 60px;
    background-color: var(--border-color);
    border: 1px solid var(--placeholder-color);
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    position: fixed;
    bottom: 20px;
    right: 20px;
    cursor: pointer;
}

.clickTop i {
    font-size: 20px;
}

.clickTop span {
    font-size: 13px;
    line-height: 15px;
}

.filter_for_category button{
    width: max-content;
    height: 35px;
    border: none;
    outline: none;
    font-size: 15px;
    color: var(--body-color);
    font-family: var(--heading-font);
    margin-top: 10px;
    background-color: var(--primary-color);
    padding-left: 15px;
    padding-right: 15px;
}

.button_icon{
    display: none;
}

.cart_button_icon{
    display: none;
}

.filter_for_category{
    display: none;
}